/* merge data puts together all the data sets and gets ready to run them */

/*  create data 

1.  grab census data
2.  split codes into bec, sitc
3.  merge with factor data for exporter
4.  generate logged variables

*/


use alldata95



	gen year = $YR
				
	drop if quant == 0 | val ==0		/* drops missing quantity values */
	
	collapse (sum) val quant , by(exp imp hs year)

	sort exp year
	
save temp, replace

sort hs
merge hs using typecodes
drop _merge
sort exp year
save temp, replace



/* prep factor data and merge */

	use allfactorvalues1995
	sort exp 
	keep exp y_l l h_l ky5 a y h k

	save factortempy, replace

	

use temp
merge exp using factortempy
keep if _merge==3
drop _merge
save tempy, replace




